<?php
// $Id: components.menu.html.php,v 1.8 2003/12/15 04:01:18 eddieajau Exp $
/**
* Administrator menu component item presentation layer
* @package Mambo Open Source
* @Copyright (C) 2000 - 2003 Miro International Pty Ltd
* @ All rights reserved
* @ Mambo Open Source is Free Software
* @ Released under GNU/GPL License: http://www.gnu.org/copyleft/gpl.html
* @version $Revision: 1.8 $
**/

// ensure this file is being included by a parent file
defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

/**
* Writes the edit form for new and existing content item
*
* A new record is defined when <var>$row</var> is passed witht the <var>id</var>
* property set to 0.
* @param mosContent The category object
*/

class components_menu_html { 

	function edit( &$menu, &$types, &$lists, $option ) {
?>
		<script language="javascript" type="text/javascript">
		function submitbutton(pressbutton) {
			var form = document.adminForm;
			if (pressbutton == 'cancel') {
				submitform( pressbutton );
				return;
			}

			var comp_links = new Array;
<?php	foreach ($types as $row) { ?>
			comp_links[<?php echo $row->value;?>] = 'index.php?<?php echo addslashes( $row->link );?>';
<?php	} ?>
			
			if (form.id.value == 0) {
				var comp_id = getSelectedValue( 'adminForm', 'componentid' );
				form.link.value = comp_links[comp_id];
			} else {
				form.link.value = comp_links[form.componentid.value];
			}
			
			if (trim( form.name.value ) == ""){
				alert( "Item must have a name" );
			} else {
				submitform( pressbutton );
			}
		}
		</script>

		<form action="index2.php" method="POST" name="adminForm">

		<table cellpadding="5" cellspacing="0" border="0" width="100%">
			<tr>
				<td colspan="2" class="sectionname" >
					<?php echo $menu->id ? 'Edit' : 'Add';?> Menu Item - Mambo Component
				</td>
			</tr>
		</table>

		<table cellpadding="5" cellspacing="0" border="0" width="100%" class="adminform">
			<tr>
				<td width="20%" align="right">Name:</td>
				<td width="80%">
					<input class="inputbox" type="text" name="name" size="50" maxlength="100" value="<?php echo htmlspecialchars( $menu->name, ENT_QUOTES ); ?>" />
				</td>
			</tr>
			<tr>
				<td valign="top" align="right">Component:</td>
				<td>
					<?php echo $lists['componentid']; ?>
				</td>
			</tr>
			<tr>
				<td align="right">Parent Item:</td>
				<td>
					<?php echo $lists['parent'];?>
				</td>
			</tr>

			<tr>
				<td valign="top" align="right">Ordering:</td>
				<td>
					<?php echo $lists['ordering']; ?>
				</td>
			</tr>
			<tr>
				<td valign="top" align="right">Access Level:</td>
				<td>
					<?php echo $lists['access']; ?>
				</td>
			</tr>
			<tr>
				<td valign="top" align="right">Parameters:</td>
				<td>
					<textarea name="params" cols="50" rows="5" class="inputbox"><?php echo $menu->params; ?></textarea>
				</td>
			</tr>
		</table>

		<input type="hidden" name="option" value="<?php echo $option;?>" />
		<input type="hidden" name="id" value="<?php echo $menu->id; ?>" />
		<input type="hidden" name="link" value="" />
		<input type="hidden" name="menutype" value="<?php echo $menu->menutype; ?>" />
		<input type="hidden" name="type" value="<?php echo $menu->type; ?>" />
		<input type="hidden" name="task" value="" />
		</form>
<?php
	}
}
?>
